=== scripts/requirements.txt ===
Babel==2.14.0
